/* general appearance */
.navbar-black {
  background-color: black;
}

.navbar-brand {
  font-family: Lato, sans-serif;
}

/* */
/* Editing container delimited by a data-mode attribute */
/* Update interface to reflect mode of the container */
/* */

/* Toggle with an edit-toggle button within the container */
[data-mode="edit"] #edit-toggle {
  font-weight: bold;
  color: black !important;
  background: #e2e6ea;
}

/* Hide input features of readonly items to make them look like text */
[data-mode] input[readonly]:not([class*="custom-"]) {
  background: transparent !important;
  border: solid transparent 1px;
  color: #212529;
}

[data-mode] input[readonly]::placeholder {
  opacity: 0;
}

[data-mode] .form-control[readonly]:focus {
  box-shadow: none;
}

/* Toggle buttons hidden in edit mode if unchecked */
input.toggle + label {
  color: #212529 !important;
}

/* Only label is ever shown */
input.toggle {
  display: none;
}

/* Remove background to show toggle is off */
input.toggle:not(:checked) + label {
  background: none;
}

/* Hide toggle off items in view mode */
[data-mode="view"] input.toggle:not(:checked) + label {
  display: none;
}

/* Photo uploader */
[data-mode="edit"] .drag-over:after {
  content: "";
  background: rgba(255, 255, 255, 0.7);
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.multi-attribute {
  display: inline-block;
  padding: 0 0.75rem;
  border-radius: 0.5rem;
  position: relative;
  background-color: rgba(225, 225, 225, 0.2);
}

[data-mode="edit"] .multi-attribute {
  background-color: rgba(225, 225, 225, 0.5);
}

/* Ensure 1px border between all grid view items, e.g. tags */
.grid-group-item {
  margin-bottom: -1px !important;
  margin-right: -1px;
  border-radius: 0 !important;
}

label, .attr-label {
  font-weight: bold;
}

#new-tag-edit {
  min-width: 30rem;
}

/* Keep markdown images within the area */
.markdown img {
  max-width: 100%;
}

.owa-logo {
  display: inline-block;
  width: 0.8rem;
  height: 0.8rem;
  background: no-repeat url('/static/img/owa.svg');
  background-size: contain;
}

#room-building-select {
  max-width: 8em;
}

#room-number-input {
  max-width: 10em;
}

.add-user-tag, .add-user-room {
  display: inline-block;
  width: 0;
}

.hidden-interact {
  position: relative;
}

.hidden-interact-popup {
  position: absolute;
  right: -0.5rem;
  bottom: 1.5rem;
  z-index: 99999;
  border-radius: 0.4rem;
  background: #eee;
  padding: 0.2rem 0.5rem;
  display: none;
}

.hidden-interact:hover .hidden-interact-popup {
  display: block;
}

/* tooltip with markdown help */
.hover-container {
  position: relative;
}

.hover-content {
  position: absolute;
  bottom: 1rem;
  right: -21rem;
  display: none;
  z-index: 99999;
}

.hover-container:hover .hover-content {
  display: block;
}

.thumbnail-container {
  width: 48px;
  height: 48px;
  flex-basis: 48px;
  flex-shrink: 0;
}

.thumbnail-container-sm {
  width: 24px;
  height: 24px;
  flex-basis: 24px;
  flex-shrink: 0;
}

.thumbnail-image {
  font-size: 48px;
  color: lightgrey;
}

.thumbnail-image-sm {
  font-size: 24px;
  color: lightgrey;
  max-width: 24px;
  max-height: 24px;
}

/* user bust silhouette shrinks if page narrows */
.photo-placeholder {
  font-size: 260px;
  line-height: 1.1;
  color: lightgray;
}

@media (min-width: 768px) {
  .photo-placeholder {
    font-size: 150px;
  }
}

@media (min-width: 992px) {
  .photo-placeholder {
    font-size: 220px;
  }
}

@media (min-width: 1200px) {
  .photo-placeholder {
    font-size: 260px;
  }
}

/* text changes on checked button */
#hide-profile ~ label:before {
  content: "Profile visible"
}

#hide-profile:checked ~ label:before {
  content: "Profile hidden"
}

#cancel-profile ~ label:before {
  content: "Cancelled: False"
}

#cancel-profile:checked ~ label:before {
  content: "Cancelled: True"
}

.hide-link ~ label:before {
  content: "Link shown"
}

.hide-link:checked ~ label:before {
  content: "Link hidden"
}

.vis-switch ~ label:after {
  content: "\f06e";
  font-family: "Font Awesome 5 Free", sans-serif;
  font-weight: 400;
  padding-left: 0.5em;
}

.vis-switch:checked ~ label:after {
  content: "\f070";
  font-family: "Font Awesome 5 Free", sans-serif;
  font-weight: 400;
  padding-left: 0.5em;
}

/* A few styles of availability indicators with loose meanings */
.availability-indicator {
  min-width: 1em;
  height: 1em;
  margin: 0;
  border-radius: 50%;
  border: 0.15em solid rgb(127, 127, 127);
  background-color: rgba(0, 0, 0, 0);
  display: block;
  position: relative;
}

.availability-indicator.online {
  border-color: rgb(67, 195, 29);
  background-color: rgb(67, 195, 29);
}

.availability-indicator.idle {
  border-color: rgb(235, 126, 25);
}

.availability-indicator.idle:after {
  content: "";
  background-color: rgb(235, 126, 25);
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  height: 50%;
}

.availability-indicator.away {
  background-color: rgba(127, 127, 127, 0.5);
}

.availability-indicator.offline {
  background-color: rgba(0, 0, 0, 0);
}

.availability-indicator.unavailable {
  border-color: rgb(195, 65, 49);
  background-color: rgb(195, 65, 49);
}

.availability-indicator.do-not-disturb {
  border-color: rgb(195, 65, 49);
  transform: rotate(45deg);
}

.availability-indicator.do-not-disturb:after {
  content: "";
  background-color: rgb(195, 65, 49);
  position: absolute;
  left: 0;
  top: 40%;
  width: 100%;
  height: 20%;
}
